sc2cpcComponentClass-2 — Fujitsu and Fsas ServerView ServerControl MIBs (official package)
Component class enumeration (based on IPMI v1.0 entity ID)
{1 3 6 1 4 1 62698 2 10 2 2 10 6 7 1 2}
Component class enumeration (based on IPMI v1.0 entity ID)
Status in source: mandatory.
Names: sc2cpcComponentClass-2
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"sc2cpcComponentClass-2",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"processor",
"(",
"3",
")",
",",
"disk",
"(",
"4",
")",
",",
"system-board",
"(",
"7",
")",
",",
"memory-unit",
"(",
"8",
")",
",",
"processor-module",
"(",
"9",
")",
",",
"power-supply",
"(",
"10",
")",
",",
"gpu",
"(",
"11",
")",
",",
"chassis",
"(",
"23",
")",
",",
"sub-chassis",
"(",
"24",
")",
",",
"disk-bay",
"(",
"26",
")",
",",
"cooling-device",
"(",
"29",
")",
",",
"cooling-unit",
"(",
"30",
")",
",",
"memory-device",
"(",
"32",
")",
",",
"total-power",
"(",
"224",
")",
"}",
"ACCESS",
"read-only",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"Component class enumeration (based on IPMI v1.0 entity ID)\"",
"::=",
"{",
"sc2ComponentPowerConsumption-2",
"2",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"processor",
3
],
[
"disk",
4
],
[
"system-board",
7
],
[
"memory-unit",
8
],
[
"processor-module",
9
],
[
"power-supply",
10
],
[
"gpu",
11
],
[
"chassis",
23
],
[
"sub-chassis",
24
],
[
"disk-bay",
26
],
[
"cooling-device",
29
],
[
"cooling-unit",
30
],
[
"memory-device",
32
],
[
"total-power",
224
]
]
]
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"Component class enumeration (based on IPMI v1.0 entity ID)"
],
null,
null,
null,
null
]
}Module: FSC-SERVERCONTROL2-MIB-2
sc2cpcComponentClass-2 OBJECT-TYPE
SYNTAX INTEGER
{
processor(3),
disk(4),
system-board(7),
memory-unit(8),
processor-module(9),
power-supply(10),
gpu(11),
chassis(23),
sub-chassis(24),
disk-bay(26),
cooling-device(29),
cooling-unit(30),
memory-device(32),
total-power(224)
}
ACCESS read-only
STATUS mandatory
DESCRIPTION "Component class enumeration (based on IPMI v1.0 entity ID)"
::= { sc2ComponentPowerConsumption-2 2 }{'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['Counter', 'Gauge', 'IpAddress'], 'RFC1213-MIB': ['mib-2', 'DisplayString']}Related source files and packages:
ServerView ServerControl MIB distributed in the official Fujitsu package. This edition uses the Fsas Technologies enterprise number 62698.; Publisher path: prim_supportcd/SVSSoftware/Software/ServerView/MIBs/SNMPMIBs.zip; 245,390 bytes
Downloaded: 2026-11-03T05:49:44.885211+00:00.
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.62698.2.10.2.2.10.6.7.1.1 | sc2cpcUnitId-2 | 0 | 0 | |
| 1.3.6.1.4.1.62698.2.10.2.2.10.6.7.1.3 | sc2cpcComponentIndex-2 | 0 | 0 | |
| 1.3.6.1.4.1.62698.2.10.2.2.10.6.7.1.4 | sc2cpcDesignation-2 | 0 | 0 | |
| 1.3.6.1.4.1.62698.2.10.2.2.10.6.7.1.5 | sc2cpcCurrentValue-2 | 0 | 0 |